org.eclipse.mat.report

## Interface Params.Rendering

Enclosing interface:
  Params

    public static interface Params.Rendering

Control the rendering of a report.

No Implement:

### Field Summary

Fields
`static String` `DERIVED_DATA_COLUMN` Controls the calculation of the derived column.
`static String` `FILTER` filter1=criteria,filter2=criteria filter1 etc.
`static String` `HIDE_COLUMN` Which columns to hide, separated by ','.
`static String` `LIMIT` Limit, as a decimal number, for the number of items to display.
`static String` `PATTERN` Options appear to be `PATTERN_OVERVIEW_DETAILS`
`static String` `PATTERN_OVERVIEW_DETAILS` Possible value for key given by `PATTERN`.
`static String` `PATTERN_SEQUENTIAL` Possible value for key given by `PATTERN`.
`static String` `SORT_COLUMN` Which columns to sort by, separated by ','.

### Field Detail

#### PATTERN

    static final String PATTERN

Options appear to be `PATTERN_OVERVIEW_DETAILS`

See Also:
  Constant Field Values

#### PATTERN_OVERVIEW_DETAILS

    static final String PATTERN_OVERVIEW_DETAILS

Possible value for key given by `PATTERN`.

See Also:
  Constant Field Values

#### PATTERN_SEQUENTIAL

    static final String PATTERN_SEQUENTIAL

Possible value for key given by `PATTERN`.

See Also:
  Constant Field Values

#### SORT_COLUMN

    static final String SORT_COLUMN

Which columns to sort by, separated by ','. Columns specified by name or #0, #1, #2 etc.

See Also:
  Constant Field Values

#### FILTER

    static final String FILTER

filter1=criteria,filter2=criteria filter1 etc. is a column specified by name or #0, #1, #2 etc. criteria is a numeric or string filter such as >100, 10..200, com\.*

See Also:
  Constant Field Values

#### LIMIT

    static final String LIMIT

Limit, as a decimal number, for the number of items to display.

See Also:
  Constant Field Values

#### HIDE_COLUMN

    static final String HIDE_COLUMN

Which columns to hide, separated by ','. Columns specified by name or #0, #1, #2 etc.

See Also:
  Constant Field Values

#### DERIVED_DATA_COLUMN

    static final String DERIVED_DATA_COLUMN

Controls the calculation of the derived column. For example for retained sizes _default_=APPROXIMATE `org.eclipse.mat.snapshot.query` _default_=PRECISE `org.eclipse.mat.snapshot.query`

See Also:
  Constant Field Values